package com.pnkx.mapper;

import com.pnkx.domain.po.PxSubscribe;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by PHY
 * @Classname PxAdminSubscribeMapper
 * @date 2021-06-17 15:36
 */
@Mapper
public interface PxSubscribeMapper {

    /**
     * 查询订阅
     *
     * @param id 订阅ID
     * @return 订阅
     */
    PxSubscribe selectPxSubscribeById(Long id);

    /**
     * 查询订阅列表
     *
     * @param pxSubscribe 订阅
     * @return 订阅集合
     */
    List<PxSubscribe> selectPxSubscribeList(PxSubscribe pxSubscribe);

    /**
     * 新增订阅
     *
     * @param pxSubscribe 订阅
     * @return 结果
     */
    int insertPxSubscribe(PxSubscribe pxSubscribe);

    /**
     * 修改订阅
     *
     * @param pxSubscribe 订阅
     * @return 结果
     */
    int updatePxSubscribe(PxSubscribe pxSubscribe);

    /**
     * 删除订阅
     *
     * @param id 订阅ID
     * @return 结果
     */
    int deletePxSubscribeById(Long id);

    /**
     * 批量删除订阅
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deletePxSubscribeByIds(Long[] ids);
}
